package com.fjhx.victoriatourist.service.blessing;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingInfoDto;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingInfoSelectDto;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingInfo;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingInfoVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 祝福留言信息 服务类
 * </p>
 *
 * @author LQH
 * @since 2023-12-10
 */
public interface BlessingInfoService extends BaseService<BlessingInfo> {

    /**
     * 祝福留言信息列表
     */
    List<BlessingInfoVo> getList(BlessingInfoSelectDto dto);

    /**
     * 祝福留言信息分页
     */
    Page<BlessingInfoVo> getPage(BlessingInfoSelectDto dto);

    /**
     * 祝福留言信息明细
     */
    BlessingInfoVo detail(Long id);

    /**
     * 祝福留言信息新增
     */
    void add(BlessingInfoDto blessingInfoDto);

    /**
     * 祝福留言信息编辑
     */
    void edit(BlessingInfoDto blessingInfoDto);

    /**
     * 祝福留言信息删除
     */
    void delete(Long id);

}
